using System;

namespace Zadatak3
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] x = new int[n];
            int[] y = new int[n];
            for(int i=0;i<n;i++)
            {
                string[] st = Console.ReadLine().Split(' ');
                x[i] = int.Parse(st[0]);
                y[i] = int.Parse(st[1]);
            }
            int br = 0;
            for(int i=0;i<n-3;i++)
            {
                for(int j=i+1;j<n-2;j++)
                {
                    for (int k=j+1;k<n-1;k++)
                    {
                        for(int l=k+1;l<n;l++)
                        {
                            if (x[i]==x[j] || x[k]==x[l] || (y[i] - y[j]) / (x[i] - x[j]) == (y[k] - y[l]) / (x[k] - x[l]))
                            {
                                Console.WriteLine("petkovariba");
                                double p1 = Math.Sqrt((x[i] - x[j])* (x[i] - x[j]) + (y[i] - y[j])* (y[i] - y[j]));
                                double p2 = Math.Sqrt((x[k] - x[l])* (x[k] - x[l]) + (y[k] - y[l])* (y[k] - y[l]));
                                if (p1==p2*2 || p1*2==p2)
                                {
                                    br++;
                                    Console.WriteLine("papadzoni");
                                }
                            }
                            else if (x[i] == x[k] || x[j] == x[l] || (y[i] - y[k]) / (x[i] - x[k]) == (y[j] - y[l]) / (x[j] - x[l])) 
                            {
                                Console.WriteLine("petkovariba");
                                double p1 = Math.Sqrt((x[i] - x[k]) * (x[i] - x[k]) + (y[i] - y[k]) * (y[i] - y[k]));
                                double p2 = Math.Sqrt((x[j] - x[l]) * (x[j] - x[l]) + (y[j] - y[l]) * (y[j] - y[l]));
                                if (p1 == p2 * 2 || p1 * 2 == p2)
                                {
                                    br++;
                                    Console.WriteLine("papadzoni");
                                }
                            }
                            else if (x[i] == x[l] || x[j] == x[k] || (y[i] - y[l]) / (x[i] - x[l]) == (y[j] - y[k]) / (x[j] - x[k])) 
                            {
                                Console.WriteLine("petkovariba");
                                double p1 = Math.Sqrt((x[i] - x[l]) * (x[i] - x[l]) + (y[i] - y[l]) * (y[i] - y[l]));
                                double p2 = Math.Sqrt((x[j] - x[k]) * (x[j] - x[k]) + (y[j] - y[k]) * (y[j] - y[k]));
                                if (p1 == p2 * 2 || p1 * 2 == p2)
                                {
                                    br++;
                                    Console.WriteLine("papadzoni");
                                }
                            }
                        }
                    }
                }
            }
            Console.WriteLine(br);
        }
    }
}